javax.xml.bind

## Class JAXBException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.bind.JAXBException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MarshalException, PropertyException, UnmarshalException, ValidationException

    public class JAXBException
    extends java.lang.Exception

This is the root exception class for all JAXB exceptions.

Since:
  JAXB1.0
See Also:
  `JAXBContext`, `Marshaller`, `Unmarshaller`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JAXBException(java.lang.String message)` Construct a JAXBException with the specified detail message.
`JAXBException(java.lang.String message, java.lang.String errorCode)` Construct a JAXBException with the specified detail message and vendor specific errorCode.
`JAXBException(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Construct a JAXBException with the specified detail message and vendor specific errorCode.
`JAXBException(java.lang.String message, java.lang.Throwable exception)` Construct a JAXBException with the specified detail message and linkedException.
`JAXBException(java.lang.Throwable exception)` Construct a JAXBException with a linkedException.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getErrorCode()` Get the vendor specific error code
`java.lang.Throwable` `getLinkedException()` Get the linked exception
`void` `printStackTrace()` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.
`void` `printStackTrace(java.io.PrintStream s)` Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.
`void` `setLinkedException(java.lang.Throwable exception)` Add a linked Exception.
`java.lang.String` `toString()` Returns a short description of this JAXBException.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JAXBException

    public JAXBException(java.lang.String message)

Construct a JAXBException with the specified detail message. The errorCode and linkedException will default to null.

Parameters:
  `message` - a description of the exception

#### JAXBException

    public JAXBException(java.lang.String message,
                         java.lang.String errorCode)

Construct a JAXBException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code

#### JAXBException

    public JAXBException(java.lang.Throwable exception)

Construct a JAXBException with a linkedException. The detail message and vendor specific errorCode will default to null.

Parameters:
  `exception` - the linked exception

#### JAXBException

    public JAXBException(java.lang.String message,
                         java.lang.Throwable exception)

Construct a JAXBException with the specified detail message and linkedException. The errorCode will default to null.

Parameters:
  `message` - a description of the exception
  `exception` - the linked exception

#### JAXBException

    public JAXBException(java.lang.String message,
                         java.lang.String errorCode,
                         java.lang.Throwable exception)

Construct a JAXBException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code
  `exception` - the linked exception

### Method Detail

#### getErrorCode

    public java.lang.String getErrorCode()

Get the vendor specific error code

Returns:
  a string specifying the vendor specific error code

#### getLinkedException

    public java.lang.Throwable getLinkedException()

Get the linked exception

Returns:
  the linked Exception, null if none exists

#### setLinkedException

    public void setLinkedException(java.lang.Throwable exception)

Add a linked Exception.

Parameters:
  `exception` - the linked Exception (A null value is permitted and indicates that the linked exception does not exist or is unknown).

#### toString

    public java.lang.String toString()

Returns a short description of this JAXBException.

Overrides:
  `toString` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
Parameters:
  `s` - PrintStream to use for output

#### printStackTrace

    public void printStackTrace()

Prints this JAXBException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.